## golang-github-xanzy-go-gitlab 0.110.0

=== Makefile ===
##@ General

.PHONY: help
help: ## Display this help
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z_0-9-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

##@ Development

fmt: ## Format code
	@gofumpt -l -w .

lint: ## Run linter
	@golangci-lint run

setup: ## Setup your local environment
	go mod tidy
	@go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest
	@go install mvdan.cc/gofumpt@latest
.PHONY: setup

test: ## Run tests
	go test ./... -race

## golang-github-xanzy-go-gitlab 0.22.2

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.22.2-1) unstable; urgency=medium

  * New upstream version (Closes: #906986)
  * Update d/copyright for new files
  * Bump debhelper to 12
  * Use debhelper-compat.
  * Set Rules-Requires-Root: no
  * Set Standard-Version to 4.4.1.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 23 Dec 2019 21:10:27 -0800

golang-github-xanzy-go-gitlab (0.15.0-1) unstable; urgency=medium

  * New upstream version
  * Fix dependencies (thanks to themusicgod1-guest for the patch)
  * Modify watch file to use upstream release tarballs

 -- Julian Gilbey <jdg@debian.org>  Tue, 26 Feb 2019 09:07:57 +0000

golang-github-xanzy-go-gitlab (0.11.3-1) unstable; urgency=medium

  * Initial release (Closes: #906986)

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 23 Oct 2018 16:36:54 -0700

=== debian/control ===
Source: golang-github-xanzy-go-gitlab
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Felix Lechner <felix.lechner@lease-up.com>,
    Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-golang-x-oauth2-dev,
               golang-github-google-go-querystring-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/xanzy/go-gitlab
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab.git
XS-Go-Import-Path: github.com/xanzy/go-gitlab

Package: golang-github-xanzy-go-gitlab-dev
Architecture: all
Depends: ${misc:Depends},
         golang-golang-x-oauth2-dev,
         golang-github-google-go-querystring-dev,
         golang-github-stretchr-testify-dev
Description: Simple and uniform GitLab API for Go
 This package provides a GitLab API that enables Go programs to interact
 with GitLab in a simple and uniform way. It covers most of the existing
 Gitlab API calls and is updated regularly to add new or missing endpoints.
 .
 For complete usage of go-gitlab, see the package docs.

=== debian/tests/control ===
Tests: installed-packages.sh
Depends: @, golang-any

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-xanzy-go-gitlab-$1.tar.gz%" \
             https://github.com/xanzy/go-gitlab/releases \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-github-xanzy-go-gitlab 0.73.1

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.73.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/force_tests_32bit.patch:
    - Lower number used to not overflow on 32bit arches.

 -- Unit 193 <unit193@debian.org>  Sun, 11 Dec 2022 22:05:10 -0500

golang-github-xanzy-go-gitlab (0.73.1-1) unstable; urgency=medium

  * New upstream version 0.73.1 (Closes: #1010125)
  * Fix debian/gbp.conf to reflect the current use of DEP-14
  * Update debian/watch and make it work again
  * Reorder fields in debian/control and debian/copyright
  * Change Section from devel to golang
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * debian/rules: Invoke dh with --builddirectory=_build
  * Add/update versioned dependencies as per go.mod
  * Replace debian/tests/* with "Testsuite: autopkgtest-pkg-go"
    (Closes: #953224)
  * Bump Standards-Version to 4.6.1 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * debian/copyright: Use Apache-2.0 boilerplate notice
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Wed, 12 Oct 2022 13:30:34 -0600

=== debian/control ===
Source: golang-github-xanzy-go-gitlab
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Felix Lechner <felix.lechner@lease-up.com>,
           Julian Gilbey <jdg@debian.org>,
           Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-github-google-go-querystring-dev (>= 1.1.0),
               golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.2),
               golang-github-hashicorp-go-retryablehttp-dev (>= 0.7.1),
               golang-github-stretchr-testify-dev (>= 1.8.0),
               golang-golang-x-oauth2-dev (>= 0.0~git20220722.d3ed0bb),
               golang-golang-x-time-dev (>= 0.0~git20220722.e5dcc9c)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Homepage: https://github.com/xanzy/go-gitlab
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab.git
XS-Go-Import-Path: github.com/xanzy/go-gitlab

Package: golang-github-xanzy-go-gitlab-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-querystring-dev (>= 1.1.0),
         golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.2),
         golang-github-hashicorp-go-retryablehttp-dev (>= 0.7.1),
         golang-github-stretchr-testify-dev (>= 1.8.0),
         golang-golang-x-oauth2-dev (>= 0.0~git20220722.d3ed0bb),
         golang-golang-x-time-dev (>= 0.0~git20220722.e5dcc9c),
         ${misc:Depends}
Description: Simple and uniform GitLab API for Go
 This package provides a GitLab API that enables Go programs to interact
 with GitLab in a simple and uniform way. It covers most of the existing
 Gitlab API calls and is updated regularly to add new or missing endpoints.
 .
 For complete usage of go-gitlab, see the package docs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples/*

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-xanzy-go-gitlab 0.85.0

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.85.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.85.0.
    - Refresh patch.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Jun 2023 20:06:45 -0400

## golang-github-xanzy-go-gitlab 0.90.0

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.90.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Fri, 25 Aug 2023 18:00:20 -0400

golang-github-xanzy-go-gitlab (0.90.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.90.0.

 -- Unit 193 <unit193@debian.org>  Wed, 23 Aug 2023 03:48:03 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-golang-x-oauth2-dev (>= 0.0~git20220722.d3ed0bb),
                golang-golang-x-time-dev (>= 0.0~git20220722.e5dcc9c)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/xanzy/go-gitlab
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab.git

## golang-github-xanzy-go-gitlab 0.94.0

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.94.0-1) unstable; urgency=medium

  * Team upload.
  [ Nicolas Schier ]
  * New upstream version 0.94.0
  * Update patch force_tests_32bit.patch
  
  [ Nilesh Patra ]
  * Remove test dep from depends

 -- Nicolas Schier <nicolas@fjasle.eu>  Fri, 05 Jan 2024 17:49:00 +0530

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
 Depends: golang-github-google-go-querystring-dev (>= 1.1.0),
          golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.2),
          golang-github-hashicorp-go-retryablehttp-dev (>= 0.7.1),
-         golang-github-stretchr-testify-dev (>= 1.8.0),
          golang-golang-x-oauth2-dev (>= 0.0~git20220722.d3ed0bb),
          golang-golang-x-time-dev (>= 0.0~git20220722.e5dcc9c),
          ${misc:Depends}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/xanzy/go-gitlab/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-xanzy-go-gitlab 0.103.0

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.103.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.103.0.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Tue, 23 Apr 2024 20:08:58 -0400

## golang-github-xanzy-go-gitlab 0.105.0

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.105.0-1) unstable; urgency=medium

  * New upstream version 0.105.0
  * Add lintian-override for extra-license-file
  * debian/copyright: Add missing entries and update several copyright
    years
  * debian/copyright: Update upstream name and link to upstream source
    project

 -- Nicolas Schier <nicolas@fjasle.eu>  Mon, 03 Jun 2024 08:29:24 +0200

## golang-github-xanzy-go-gitlab 0.110.0

=== debian/changelog ===
golang-github-xanzy-go-gitlab (0.110.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.110.0.

 -- Unit 193 <unit193@debian.org>  Mon, 07 Oct 2024 21:44:07 -0400

golang-github-xanzy-go-gitlab (0.109.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.109.0.

 -- Unit 193 <unit193@debian.org>  Tue, 10 Sep 2024 02:27:55 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-golang-x-oauth2-dev (>= 0.0~git20220722.d3ed0bb),
                golang-golang-x-time-dev (>= 0.0~git20220722.e5dcc9c)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/xanzy/go-gitlab
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xanzy-go-gitlab.git
